package com.artfess.bpm.persistence.model;

import javax.xml.bind.annotation.*;
import java.util.ArrayList;
import java.util.List;

@XmlRootElement(name = "bpmReportXml")
@XmlAccessorType(XmlAccessType.FIELD)
public class BpmReportXml {
    @XmlElement(name = "bpmReport", type = BpmReportList.class)
    private BpmReportList bpmReport;

    @XmlElementWrapper(name="bpmReportActs")
    @XmlElement(name = "bpmReportAct", type = BpmReportAct.class)
    private List<BpmReportAct> bpmReportActList = new ArrayList<>();

    public BpmReportList getBpmReport() {
        return bpmReport;
    }

    public void setBpmReport(BpmReportList bpmReport) {
        this.bpmReport = bpmReport;
    }

    public List<BpmReportAct> getBpmReportActList() {
        return bpmReportActList;
    }

    public void setBpmReportActList(List<BpmReportAct> bpmReportActList) {
        this.bpmReportActList = bpmReportActList;
    }
}
